using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("导航：隐患原因")]
    public class T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL_REASON : MesEntityBase
    {
        /// <summary>
        /// 检查记录明细表
        /// </summary>
        [Description("检查记录明细表")]
        [DataFieldForeignKey("Nav_CheckRecordDetail", "Nav_CheckRecordDetailReasons")]
        public Guid SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查记录明细表
        /// </summary>
        [Description("导航：检查记录明细表")]
        public virtual T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL Nav_CheckRecordDetail { get; set; }

        [Description("隐患原因")]
        [DataFieldForeignKey("Nav_Reason")]
        public Guid? REASON_ID { get; set; }

        [Description("导航属性：隐患原因")]
        public T_SK_HIDDEN_REASON Nav_Reason { get; set; }
    }
}
